package com.zd.exam.domain;

import com.zd.common.core.web.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;

/**
 * 题库(ElRepo)实体类
 *
 * @author liubo
 * @since 2021-08-30 14:45:54
 */
@ApiModel(value = "题库", description = "题库")
public class ElRepo extends BaseEntity {
    private static final long serialVersionUID = 853477991643681684L;
    /**
     * 题库ID
     */
    @ApiModelProperty(value = "题库ID")
    private Long id;
    /**
     * 题库类别
     */
    @ApiModelProperty(value = "题库类别")
    @NotNull(message = "题库类别不能为空！")
    private Integer code;
    /**
     * 题库名称
     */
    @NotNull(message = "题库名称不能为空！")
    @ApiModelProperty(value = "题库名称")
    private String title;
    /**
     * 单选数量
     */
    @ApiModelProperty(value = "单选数量")
    private Integer radioCount;
    /**
     * 多选数量
     */
    @ApiModelProperty(value = "多选数量")
    private Integer multiCount;
    /**
     * 判断数量
     */
    @ApiModelProperty(value = "判断数量")
    private Integer judgeCount;
    /**
     * 题库备注
     */
    @ApiModelProperty(value = "题库备注")
    private String remark;

    /**
     * 用户id(权限作用)
     */
    private Long userId;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public Integer getRadioCount() {
        return radioCount;
    }

    public void setRadioCount(Integer radioCount) {
        this.radioCount = radioCount;
    }

    public Integer getMultiCount() {
        return multiCount;
    }

    public void setMultiCount(Integer multiCount) {
        this.multiCount = multiCount;
    }

    public Integer getJudgeCount() {
        return judgeCount;
    }

    public void setJudgeCount(Integer judgeCount) {
        this.judgeCount = judgeCount;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }
}
